---
title: "Latest price for a specific material."
url: "https://developer.argaam.com/apis/macroeconomic-layer-api-sandbox-v1/versions/e4c9f983-817a-417e-bfa3-115c2b14f8bd/operations/getConsumerGoodsByMaterialIdPrices"
---

> Full API specification: https://developer.argaam.com/apis/macroeconomic-layer-api-sandbox-v1/versions/e4c9f983-817a-417e-bfa3-115c2b14f8bd.md

# Latest price for a specific material.

`GET` `/api/v1.1/consumer-goods/{materialId}/prices`

Operation ID: `getConsumerGoodsByMaterialIdPrices`

Single-material variant of `/prices`. Returns the most recent quote plus daily change. ### Example ``` GET /api/v1.1/consumer-goods/42/prices ```

## Path parameters

- `materialId` (integer, int32, required) - Material ID from `/`.

## Responses

- `200` - Success

## OpenAPI definition

````yaml
openapi: 3.0.1
info:
  title: Macroeconomic Layer API
  version: v1.1
servers:
  - url: https://api-sandbox.argaam.com
    description: Argaam API Gateway (Sandbox)
paths:
  /api/v1.1/consumer-goods/{materialId}/prices:
    get:
      tags:
        - ConsumerGoods
      parameters:
        - name: materialId
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: Material ID from `/`.
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: array
                items: {}
      summary: Latest price for a specific material.
      description: "Single-material variant of `/prices`. Returns the most\r

        recent quote plus daily change.\r

        \            \r

        ### Example\r

        ```\r

        GET /api/v1.1/consumer-goods/42/prices\r

        ```"
      operationId: getConsumerGoodsByMaterialIdPrices
security:
  - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
````
